Run agent tests
curl --request POST \
--url https://api.calibrate.artpark.ai/agent-tests/agent/{agent_uuid}/run \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"test_uuids": [
"b1c2d3e4-f5a6-7890-bcde-f12345678901"
]
}
'import requests
url = "https://api.calibrate.artpark.ai/agent-tests/agent/{agent_uuid}/run"
payload = { "test_uuids": ["b1c2d3e4-f5a6-7890-bcde-f12345678901"] }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"task_id": "a3b2c1d0-e5f4-3210-abcd-ef1234567890",
"status": "queued"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Agent tests
Run agent tests
Run an agent’s linked tests as a background job, returning a task ID to poll.
POST
/
agent-tests
/
agent
/
{agent_uuid}
/
run
Run agent tests
curl --request POST \
--url https://api.calibrate.artpark.ai/agent-tests/agent/{agent_uuid}/run \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"test_uuids": [
"b1c2d3e4-f5a6-7890-bcde-f12345678901"
]
}
'import requests
url = "https://api.calibrate.artpark.ai/agent-tests/agent/{agent_uuid}/run"
payload = { "test_uuids": ["b1c2d3e4-f5a6-7890-bcde-f12345678901"] }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"task_id": "a3b2c1d0-e5f4-3210-abcd-ef1234567890",
"status": "queued"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
API key for authentication
Path Parameters
Agent to test
Example:
"f47ac10b-58cc-4372-a567-0e02b2c3d479"
Body
application/json
Tests to run. Omit to run all tests linked to the agent
Required string length:
36Example:
["b1c2d3e4-f5a6-7890-bcde-f12345678901"]